Installation from source Mac

Hi all,

I am installing Qupath from source on Mac as I want to use stardist. I’ve installed OpenJDK15 and when I build the source code with Gradle by doing : ./gradlew clean build createPackage -Ptensorflow-cpu=true
I got the following error:

Anyone has had a similar issue?

Thank you!

Hi @nina, there have been some changes in OpenJDK15 and this breaks things. See https://github.com/qupath/qupath/issues/615

The build instructions now specify that OpenJDK14 is needed:

3 Likes

Thanks @petebankhead!

2 Likes

Sorry to bother again @petebankhead!

I changed to OpenJDK14 (still on Mac) and I get the following error:

Thank you in advance!

It looks like you have a Java Runtime Environment (JRE) and not Java Development Kit (JDK). You’ll need the JDK to build QuPath.

1 Like